`sig
type key
type +'a t
val empty : 'a Map.S.t
val is_empty : 'a Map.S.t -> bool
val add : Map.S.key -> 'a -> 'a Map.S.t -> 'a Map.S.t
val find : Map.S.key -> 'a Map.S.t -> 'a
val remove : Map.S.key -> 'a Map.S.t -> 'a Map.S.t
val mem : Map.S.key -> 'a Map.S.t -> bool
val iter : (Map.S.key -> 'a -> unit) -> 'a Map.S.t -> unit
val map : ('a -> 'b) -> 'a Map.S.t -> 'b Map.S.t
val mapi : (Map.S.key -> 'a -> 'b) -> 'a Map.S.t -> 'b Map.S.t
val fold : (Map.S.key -> 'a -> 'b -> 'b) -> 'a Map.S.t -> 'b -> 'b
val compare : ('a -> 'a -> int) -> 'a Map.S.t -> 'a Map.S.t -> int
val equal : ('a -> 'a -> bool) -> 'a Map.S.t -> 'a Map.S.t -> bool
end`